Name:		qterm
Version:	0.5.10
Release:	2%{?dist}
Summary:	BBS client for X Window System written in Qt
Group:		Applications/Internet
License:	GPLv2+
URL:		http://qterm.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# https://sourceforge.net/tracker/?func=detail&atid=557096&aid=2992137&group_id=79581
Patch0:		qterm-0.5.10-qstring.patch
# README from debian
Source1:	README.Debian
BuildRequires:	phonon-devel
BuildRequires:	openssl-devel
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	qtscriptbindings
Requires:	hicolor-icon-theme

%description
QTerm is a BBS client for X Window System. It supports telnet,ssh1 and ssh2 
protocols. It also supports zmodem, URL detect, mouse action.

It also supports detecting location from ip address, but you need do some 
extra work, see README.package.

%prep
%setup -q
%patch0 -p1

%build
export PATH=%{_qt4_bindir}:$PATH
%cmake -DQT_PHONON_INCLUDE_DIR:PATH=%{_includedir}/KDE
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install --vendor "" \
	--dir %{buildroot}%{_datadir}/applications \
	--remove-category Application \
	--add-category RemoteAccess \
	%buildroot%{_datadir}/applications/*.desktop
cp -p %{SOURCE1} README.package

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc README* TODO doc/*
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Apr 25 2010 Chen Lei <supercyper@163.com> - 0.5.10-2
- Add patch for building against qt-4.7 

* Sun Jan 17 2010 Chen Lei <supercyper@163.com> - 0.5.10-1
- Upstream to 0.5.10
